""" Manages the generation of C++ header files """

class FileGenerator(object):
    def __init__(self, filename, headerguard=True):
        self.filename = filename
        self.content = []
        self.includes = {}
        
    def generate(self):
        with open(self.filename) as f:
            if self.headerguard:
                macro = self.filename.upper().replace("/", "_").replace(".", "_")
                f.write("#ifndef {}\n#define {}\n\n".format(macro))

            for inc in self.includes:
                f.write("#include {}\n".format(inc))
#                 
#             for c in self.content:
#                 generate_code(c)
#             
            if self.headerguard:
                f.write("\n\n#endif")